<!DOCTYPE html>
<html lang="en">
    <head>

        <!-- Meta(s) -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="description" content="">
        <meta name="author" content="">

        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <!-- Favicon icon -->
    {#    <link rel="icon" type="image/png" sizes="16x16" href="../assets/images/favicon.png">#}
        <!-- Title -->
        <title>Monster admin Template - The Ultimate Multipurpose admin template</title>

        <!-- Bootstrap 4.4.1 -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

        <!-- Theme style -->
        <link rel="stylesheet" href="{{ base_url() }}/public/css/back/app.min.css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->

    </head>
    <body>
        <div class="main-wrapper">

            <!-- Preloader (styles can be found in spinners.css) -->
            <div class="preloader">
                <div class="lds-ripple">
                    <div class="lds-pos"></div>
                    <div class="lds-pos"></div>
                </div>
            </div>

            <div class="auth-wrapper d-flex no-block justify-content-center align-items-center" style="background:url(/src/assets/images/back/background/login-register.jpg) no-repeat top center;">
                <div class="auth-box on-sidebar p-4 bg-white m-0">

                    <!-- Form : LOGIN -->
                    <div id="loginform">
                        <div class="logo text-center">
                            <span class="db">
                                <img src="/src/assets/images/back/logo-icon.png" alt="logo" /><br/>
                                <img src="/src/assets/images/back/logo-text.png" alt="Home" />
                            </span>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <form action="{{ path_for('back.signin') }}" id="loginform" method="post" role="form" class="form-horizontal mt-3 form-material">
                                    <!-- input : USERNAME -->
                                    <div class="form-group mb-3 {{ errors.email ? 'has-error' }} : '' ">
                                        <div class="col-xs-12">
                                            <input id="email" name="email" type="email" class="form-control" style="padding-left: 10px;" placeholder="Username" value="{{ old.email }}">
                                            {% if errors.email %}
                                                <span class="help-block">{{ errors.email | first }}</span>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <!-- input : PASSWORD -->
                                    <div class="form-group mb-3 {{ errors.password ? 'has-error' }} : '' ">
                                        <div class="col-xs-12">
                                            <input id="password" name="password" type="password" class="form-control" style="padding-left: 10px;" placeholder="Password" autocomplete="off">
                                            {%  if errors.password %}
                                                <span class="help-block">{{ errors.password | first }}</span>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <!-- checkbox : REMEMBER ME! -->
                                    <div class="form-group">
                                        <!-- checkbox : REMEMBER ME! -->
                                        <div class="custom-control custom-checkbox float-left">
                                            <input id="Accept" type="checkbox" class="custom-control-input">
                                            <label for="Accept" class="custom-control-label">
                                                Remember me
                                            </label>
                                        </div>
                                        <!-- link : FORGOT PWD? -->
                                        <a href="javascript:void(0)" id="to-recover" class="text-dark float-right mb-3">
                                            <i class="fa fa-lock mr-1"></i> Forgot pwd?
                                        </a>
                                    </div>
                                    <!-- btn : SUBMIT -->
                                    <div class="form-group text-center mt-3">
                                        <div class="col-xs-12">
                                            <button class="btn btn-info btn-lg btn-block text-uppercase waves-effect waves-light" type="submit">
                                                Log In
                                            </button>
                                            <!-- CSRF protection -->
                                            {{ csrf.field | raw }}
                                        </div>
                                    </div>
                                    <!-- social logins -->
                                    <div class="row">
                                        <div class="col-xs-12 col-sm-12 col-md-12 mt-2 text-center">
                                            <div class="social mb-3">
                                                <a href="javascript:void(0)" class="btn  btn-facebook" data-toggle="tooltip" title="Login with Facebook"> <i aria-hidden="true" class="fab fa-facebook-f"></i> </a>
                                                <a href="javascript:void(0)" class="btn btn-googleplus" data-toggle="tooltip" title="Login with Google"> <i aria-hidden="true" class="fab fa-google-plus"></i> </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group mb-0">
                                        <div class="col-sm-12 text-center">
                                            <p>
                                                Don't have an account? <a href="{{ path_for('back.signup') }}" class="text-info font-weight-normal ml-1">Sign Up</a>
                                            </p>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <!-- Form : RECOVER -->
                    <div id="recoverform">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="logo">
                                    <h3 class="font-weight-medium mb-3">
                                        Recover Password
                                    </h3>
                                    <span>
                                        Enter your Email and instructions will be sent to you!
                                    </span>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <a href="javascript:void(0)" id="to-login" class="text-dark float-right mb-3">
                                    <i class="far fa-window-close mr-1"></i>
                                </a>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <form action="{{ path_for('auth.reset-password') }}" id="loginform" method="post" role="form" class="col-12">
                                <!-- input : EMAIL -->
                                <div class="form-group row">
                                    <div class="col-12">
                                        <input class="form-control" type="email" required="" placeholder="Username">
                                    </div>
                                </div>
                                <!-- btn : SUBMIT -->
                                <div class="row mt-3">
                                    <div class="col-12">
                                        <button class="btn btn-block btn-lg btn-primary text-uppercase" type="submit" name="action">
                                            Reset
                                        </button>
                                        <!-- CSRF protection -->
                                        {{ csrf.field | raw }}
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!---------------------------
        |   REQUIRED .JS SCRIPTS    |
        --------------------------->

        <!-- jQuery 3.4.1 -->
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
        <!-- Bootstrap 4.4.1 -->
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
        <!-- Font-Awesome 5.x.x -->
        <script src="https://kit.fontawesome.com/0f661ef35d.js" crossorigin="anonymous"></script>

        <!---------------------------
        |   LOCAL .JS SCRIPTS       |
        --------------------------->
        <script>

            /*
             *  Tooltip
             */
            $('[data-toggle="tooltip"]').tooltip();

            /*
             *  Pre-loader
             */
            $(".preloader").fadeOut();

            /*
             *  Recover password
             */
            $('#to-recover').on("click", function() {
                $("#loginform").slideUp();
                $("#recoverform").fadeIn();
            });

            /*
             *  Back to login
             */
            $('#to-login').on("click", function() {
                $("#loginform").slideDown();
                $("#recoverform").fadeOut();
            });

        </script>
    </body>
</html>